JSL checkNightBtl       ; check if battle is considered nighttime or daytime
BPL .isNotNight         ; branch if daytime
LDA $26                 ; load background ID
TXY                     ; save X in Y
TAX                     ; index background ID
LDA bgsPalTable,X       ; load palette ID based on background ID
BMI .noNight            ; if 0x80 or higher, there is no nighttime palette for this background
JSL setPalOffset        ; calculate palette offset depending on palette ID
BRA .loadPal            ; jump to load palette
.noNight
TYX                     ; restore previous palette ID index
.isNotNight
LDA $E70000,X           ; load palette ID
JSL setPalOffset        ; calculate palette offset depending on palette ID
STZ $22                 ; set day / night flag as daytime
.loadPal
JSL loadBgPalA          ; load palette for hookpoint $C11DF2

fillbyte $EA : fill $01 ; free space (1 bytes)